headless lms

Comment on a post

POST /api/member/posts/{postId}/comments. Comment on a post. Headless LMS Posts API reference.

POST
/api/member/posts/{postId}/comments

For anyone who can read the post, while its comments are open (403 otherwise). Replies nest one level. 409 when the post is not published.

Path Parameters

postId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/posts/string/comments" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "id": "string",  "activityId": "string",  "postId": "string",  "communityId": "string",  "parentId": "string",  "author": {    "id": "string",    "firstName": "string",    "lastName": "string",    "displayName": "string",    "headline": "string",    "image": "string",    "imageAssetId": "string",    "imageUrl": "string",    "role": "owner"  },  "body": "string",  "status": "pending",  "removedBy": {    "id": "string",    "firstName": "string",    "lastName": "string",    "displayName": "string",    "headline": "string",    "image": "string",    "imageAssetId": "string",    "imageUrl": "string",    "role": "owner"  },  "reactions": {    "property1": 0,    "property2": 0  },  "viewerReaction": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}